#command  READ                                                               ;
                                                                             ;
          =>                                                                 ;
                                                                             ;
          ReadModal( GetList ) ; GetList := {}

//////////////////////////////////////////////////////////////////////////////

#command  @ <row>, <col> SAY <expr> [<saypar,...>] GETT <var> [<getpar,...>]  ;
                                                                             ;
=>                                                                           ;
                                                                             ;
@ <row>, <col> SAY <expr> [<saypar>]                                        ;;
@ row(), col() + 1 GETT <var> [<getpar>]

//////////////////////////////////////////////////////////////////////////////

#command @ <row>, <col> GET <var> POPUP <array> [TIMEOUT <time>]             ;
                                                [COLOR <color>]              ;
                                                [SIZE <height>[,<width>]]    ;
                                                [IN <row2>[,<col2>]]         ;
                                                [WHEN <when>]                ;
                                                [VALID <valid>]              ;
=>                                                                           ;
                                                                             ;
AAdd( GetList, _PopupNew_( <row>, <col>, <var>, <"var">, <array>, [<time>],  ;
[<color>], [<height>], [<width>], [<row2>], [<col2>], [<{when}>],            ;
[<{valid}>], { | _1 | IF( _1 == Nil, <var>, <var> := _1 ) } ) )

//////////////////////////////////////////////////////////////////////////////

#command @ <row>, <col> GET <var> SPINNER <increase>[,<low>][,<high>]        ;
                                          [TIMEOUT <time>]                   ;
                                          [COLOR <color>]                    ;
                                          [PICTURE <pict>]                   ;
                                          [<noedit:NOEDIT>]                  ;
                                          [WHEN <when>]                      ;
                                          [VALID <valid>]                    ;
=>                                                                           ;
                                                                             ;
AAdd( GetList, _SpinnerNew_( <row>, <col>, <var>, <"var">, <increase>,       ;
[<low>], [<high>], [<time>], [<color>], [<pict>], [<.noedit.>], [<{when}>],  ;
[<{valid}>], { | _1 | IF( _1 == Nil, <var>, <var> := _1 ) } ) )

//////////////////////////////////////////////////////////////////////////////

#command  @ <row>, <col> GETT <var> [TIMEOUT <time>]                         ;
                                   [<snd: SOUND>]                            ;
                                   [COLOR <color>]                           ;
                                   [PICTURE <pict>]                          ;
                                   [HELP <udf>]                              ;
                                   [WHEN <when>]                             ;
                                   [VALID <valid>]                           ;
                                   [SEND <message>]                          ;
=>                                                                           ;
                                                                             ;
AAdd( GetList, _NormalNew_( <row>, <col>, <var>, <"var">, [<time>],          ;
[<.snd.>], [<color>], [<pict>], [<{udf}>], [<{when}>], [<{valid}>],          ;
{ | _1 | IF( _1 == Nil, <var>, <var> := _1 ) } ) )                           ;
[;ATail( GetList ):<message>]

//////////////////////////////////////////////////////////////////////////////

#command  @ <row>, <col> GET <var> BUTTON <label> [TIMEOUT <time>]           ;
                                                  [COLOR <color>]            ;
                                                  [DELIM <delim>]            ;
                                                  [VALID <valid>]            ;
                                                  [WHEN <when>]              ;
=>                                                                           ;
                                                                             ;
AAdd( GetList, _ButtonNew_( <row>, <col>, <var>, <"var">, <label>, [<time>], ;
[<color>], [<delim>], [<{valid}>], [<{when}>],                               ;
{ | _1 | IF( _1 == Nil, <var>, <var> := _1 ) } ) )

//////////////////////////////////////////////////////////////////////////////

#command @ <row>, <col> GET <var> LISTBOX <array> [TIMEOUT <time>]           ;
                                                  [COLOR <color>]            ;
                                                  [BOX <box>]                ;
                                                  [SIZE <height>[, <width>]] ;
                                                  [WHEN <when>]              ;
                                                  [VALID <valid>]            ;
=>                                                                           ;
                                                                             ;
AAdd( GetList, _ListBoxNew_( <row>, <col>, <var>, <"var">, <array>,          ;
[<time>], [<color>], [<box>], [<height>], [<width>], [<{when}>],             ;
[<{valid}>], { | _1 | IF( _1 == Nil, <var>, <var> := _1 ) } ) )

//////////////////////////////////////////////////////////////////////////////

#command  @ <row>, <col> GET <var> CHECK <label> [TIMEOUT <time>]            ;
                                                 [COLOR <color>]             ;
                                                 [PICTURE <pict>]            ;
                                                 [CHAR <char>]               ;
                                                 [WHEN <when>]               ;
                                                 [VALID <valid>]             ;
=>                                                                           ;
                                                                             ;
AAdd( GetList, _CheckNew_( <row>, <col>, <var>, <"var">, <label>, [<time>],  ;
[<color>], [<pict>], [<char>], [<{when}>], [<{valid}>],                          ;
{ | _1 | IF( _1 == Nil, <var>, <var> := _1 ) } ) )

//////////////////////////////////////////////////////////////////////////////

#command  @ <row>, <col> GET <var> RADIO <array> [TIMEOUT <time>]            ;
                                                 [PICTURE <pict>]            ;
                                                 [CHAR <char>]               ;
                                                 [COLOR <color>]             ;
                                                 [WHEN <when>]               ;
                                                 [VALID <valid>]             ;
=>                                                                           ;
                                                                             ;
AAdd( GetList, _RadioNew_( <row>, <col>, <var>, <"var">, <array>, [<time>],  ;
[<pict>], [<char>], [<color>], [<{when}>], [<{valid}>],                      ;
{ | _1 | IF( _1 == Nil, <var>, <var> := _1 ) } ) )

//////////////////////////////////////////////////////////////////////////////
